#include "usuario.h"
#include <QDebug>

Usuario::Usuario(const QString &nombre, const QString &carrera, int edad, bool dioLike, const QString &rutaImagen)
    : nombre(nombre), carrera(carrera), edad(edad), m_dioLike(dioLike), rutaImagen(rutaImagen)
{
    if (!rutaImagen.isEmpty()) {
        imagen.load(rutaImagen);
        if (imagen.isNull()) {
            qDebug() << "No se pudo cargar la imagen:" << rutaImagen;
        }
    }
}

bool Usuario::dioLike() const {
    return m_dioLike;
}

QString Usuario::getNombre() const { return nombre; }
QString Usuario::getCarrera() const { return carrera; }
int Usuario::getEdad() const { return edad; }

void Usuario::agregarInteres(const QString &interes) {
    intereses.append(interes);
}

QString Usuario::getIntereses() const {
    return intereses.join(", ");
}

QPixmap Usuario::getImagen() const {
    return imagen;
}

QString Usuario::getRutaImagen() const {
    return rutaImagen;
}
